# NetworkUtils (dapr-sdk-parent 1.10.0 API)

Package io.dapr.utils

## Class NetworkUtils

- java.lang.Object
- - io.dapr.utils.NetworkUtils

    public final class NetworkUtils
    extends Object

Utility methods for network, internal to Dapr SDK.

### Method Summary

All Methods Static Methods Concrete Methods
`static io.grpc.ManagedChannel` `buildGrpcManagedChannel​(io.grpc.ClientInterceptor... interceptors)` Creates a GRPC managed channel.
`static void` `waitForSocket​(String host, int port, int timeoutInMilliseconds)` Tries to connect to a socket, retrying every 1 second.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### waitForSocket

    public static void waitForSocket​(String host,
                                     int port,
                                     int timeoutInMilliseconds)
                              throws InterruptedException

Tries to connect to a socket, retrying every 1 second.

Parameters:
  `host` - Host to connect to.
  `port` - Port to connect to.
  `timeoutInMilliseconds` - Timeout in milliseconds to give up trying.
Throws:
  `InterruptedException` - If retry is interrupted.

#### buildGrpcManagedChannel

    public static io.grpc.ManagedChannel buildGrpcManagedChannel​(io.grpc.ClientInterceptor... interceptors)

Creates a GRPC managed channel.

Parameters:
  `interceptors` - Optional interceptors to add to the channel.
Returns:
  GRPC managed channel to communicate with the sidecar.